Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.control
Class ExistingTargetStrategyTest

    java.lang.Object
      org.apache.torque.generator.BaseTest
          org.apache.torque.generator.control.ExistingTargetStrategyTest

    public class ExistingTargetStrategyTest

extends BaseTest

Constructor Summary
`ExistingTargetStrategyTest()`

Method Summary
`void` | `setUp()`
`void` | `testAppendStrategy()`
`void` | `testMergeStrategyChangeGenerationResult()`
`void` | `testMergeStrategyChangeGenerationResultAndTarget()`
`void` | `testMergeStrategyChangeTarget()`
`void` | `testReplaceStrategy()`
`void` | `testSkipStrategy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistingTargetStrategyTest

    public ExistingTargetStrategyTest()

Method Detail

### setUp

    public void setUp()
               throws IOException

  Throws:
    `IOException`

### testReplaceStrategy

    public void testReplaceStrategy()
                             throws Exception

  Throws:
    `Exception`

### testMergeStrategyChangeGenerationResult

    public void testMergeStrategyChangeGenerationResult()
                                                 throws Exception

  Throws:
    `Exception`

### testMergeStrategyChangeTarget

    public void testMergeStrategyChangeTarget()
                                       throws Exception

  Throws:
    `Exception`

### testMergeStrategyChangeGenerationResultAndTarget

    public void testMergeStrategyChangeGenerationResultAndTarget()
                                                          throws Exception

  Throws:
    `Exception`

### testSkipStrategy

    public void testSkipStrategy()
                          throws Exception

  Throws:
    `Exception`

### testAppendStrategy

    public void testAppendStrategy()
                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.